PDA

View Full Version : Programmes using OpenGL under Vista 64bit



gucken
04-16-2009, 04:25 AM
ah, finally; I've been looking for a board like this - filled with people who know stuff about OpenGL

I have recently bought a new pc with the following:
ATI radeon HD4850 (Asus EAH4850/HTDI Glaciator)
Intel® Core 2 Quad Q6600
Mainboard 775: Asus P5QL PRO
&more

I've tried to install and run Terragen2 but had some problems with it.
I thought that it might have something to do with OpenGL and installed and tried to run World Machine and the 3d preview in Terragen v0.9 as well.
After trying to run the OpenGL version of Google Earth I was sure that it had something to do with it, as all the named programmes crashed during the process.

I've searched google for a possible sollution but I wasn't able to find anything helpful.

A few days ago, I thought I have solved the problem after installing the newest drivers for my radeon 4850, but I was proven wrong, as the problem reappeared.
There's a new driver out (release date is the 8th of april I believe), but unfortunately that didn't solve my problem at all.

Thanks in advance for reading and maybe trying to solve my problem!

Ilian Dinev
04-16-2009, 10:39 AM
:) You bought the wrong gpu and OS for gamedev, especially for OpenGL.

gucken
04-16-2009, 04:17 PM
oh, okay

so with the gpu I have, OpenGL is a big no-go?
I had a geforce4 ti 4200 before (I know, it's old) and vista 32bit, and those programmes worked fine there.
Could it be, that changing the OS might solve the problem?

Ilian Dinev
04-16-2009, 05:07 PM
nVidia cards generally are the only ones with almost-perfect OpenGL support. On ATi, there's hope that OpenGL3.x will be stable with Radeon HD4xx0 cards. 64-bit Windows drivers for vcards (be it nVidia, ATi or Intel) are clunky at times.

The best environment for OpenGL dev is WinXP with GF8x00, GF9x00 and GF2xx. Quite acceptable but not recommended for fun are GF6x00 and GF7x00.

You _can_ develop with your OS/GPU, but will be severely limited and wait for bugfixes more often. And most tools (like the Terragen you mentioned) will not work. The apps that do work on ATi cards generally draw dumbed-down graphics, or they risk having their shaders crash and burn on most ATi gpus/drivers :).

Whether you're coding/drawing for fun or profit, a G80+ with winXP will be most suitable.